Unit taet3z_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AET3Z_p;

function taet3z: String;

implementation

function taet3z: String;
var
MM,N,_i,J,I,M,IERR :Integer;
SELECT :Array [0..2] of Boolean;
ZR :Array [0..5] of Extended;
ZI :Array [0..5] of Extended;
RM1 :Array [0..8] of Extended;
RM2 :Array [0..8] of Extended;
RV1 :Array [0..2] of Extended;
RV2 :Array [0..2] of Extended;
const
AR :Array [0..8] of Extended = ( 2.0e0,0.0e0,0.0e0,-2.0e0,0.0e0,-1.0e0,4.0e0,
2.0e0,3.0e0 );
AI :Array [0..8] of Extended = ( 2.0e0,0.e0,0.e0,-2.0e0,1.0e0,0.0e0,4.0e0,0.0e0,
1.0e0 );
WR :Array [0..2] of Extended = ( 2.0e0,1.0e0,2.0e0 );
WI :Array [0..2] of Extended = ( 2.0e0,1.e0,1.e0 );
begin
Result := '';  {   }
MM := 2;
N := 3;
SELECT[0] := True;
SELECT[1] := False;
SELECT[2] := True;
AET3Z(3,3,AR,AI,WR,WI,SELECT,MM,M,
     ZR,ZI,RM1,RM2,RV1,RV2,IERR);
Result := Result + Format(' %5d %5d ',[IERR,M]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[WR[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[WI[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to N do
 begin
  for J:=1 to 2 do
   begin
    Result := Result + Format('%20.16f ',[ZR[(I-1)+(J-1)*3]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to N do
 begin
  for J:=1 to 2 do
   begin
    Result := Result + Format('%20.16f ',[ZI[(I-1)+(J-1)*3]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
UtRes('taet3z',Result);  {     taet3z.res }
exit;
end;

end.
